Package be.ehealth.technicalconnector.utils.impl

# Class AttachmentMarshallerImpl

java.lang.Object
jakarta.xml.bind.attachment.AttachmentMarshaller
be.ehealth.technicalconnector.utils.impl.AttachmentMarshallerImpl

public class AttachmentMarshallerImpl extends jakarta.xml.bind.attachment.AttachmentMarshaller
JAXB Marshaller that handles the attachments. Implementation of `AttachmentMarshaller`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttachmentMarshallerImpl(boolean xop)`
  `AttachmentMarshallerImpl(boolean xop, int threshold)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `addMtomAttachment(byte[] data, int offset, int length, String mimeType, String elementNamespace, String elementLocalName)`
  `String`
  `addMtomAttachment(jakarta.activation.DataHandler data, String elementNamespace, String elementLocalName)`
  `String`
  `addSwaRefAttachment(jakarta.activation.DataHandler data)`
  `Map<String,jakarta.activation.DataHandler>`
  `getDataHandlerMap()`
  `boolean`
  `isXOPPackage()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AttachmentMarshallerImpl

    public AttachmentMarshallerImpl(boolean xop)
    Parameters:
      `xop` - boolean the determine is the marshaller must handle xop (XML-binary Optimized Packaging).

  - ### AttachmentMarshallerImpl

    public AttachmentMarshallerImpl(boolean xop, int threshold)
    Parameters:
      `xop` - boolean the determine is the marshaller must handle xop (XML-binary Optimized Packaging).
      `threshold` - if XML-binary Optimized Packaging is used

- ## Method Details

  - ### getDataHandlerMap

    public Map<String,jakarta.activation.DataHandler> getDataHandlerMap()

  - ### addMtomAttachment

    public String addMtomAttachment(jakarta.activation.DataHandler data, String elementNamespace, String elementLocalName)
    Specified by:
      `addMtomAttachment` in class `jakarta.xml.bind.attachment.AttachmentMarshaller`

  - ### addMtomAttachment

    public String addMtomAttachment(byte[] data, int offset, int length, String mimeType, String elementNamespace, String elementLocalName)
    Specified by:
      `addMtomAttachment` in class `jakarta.xml.bind.attachment.AttachmentMarshaller`

  - ### addSwaRefAttachment

    public String addSwaRefAttachment(jakarta.activation.DataHandler data)
    Specified by:
      `addSwaRefAttachment` in class `jakarta.xml.bind.attachment.AttachmentMarshaller`

  - ### isXOPPackage

    public boolean isXOPPackage()
    Overrides:
      `isXOPPackage` in class `jakarta.xml.bind.attachment.AttachmentMarshaller`